Subject: bug#32442: 26.1; reftex: TOC problems with section titles containing double quotes

From: Arash Esbati <[email-masked]>
Date: Wed, 15 Aug 2018 21:49:47 +0200

Peter Pichler <[email-masked]> writes:

> I recently updated my emacs installation on Windows 10 from 24.2 to
> the most recent pre-compiled version I found on
> ftp://ftp.gnu.org/gnu/emacs/windows/ I then enabled auctex via M-x 
> list-packages. During editing LaTeX files, I enabled reftex as minor
> mode via M-x reftex-mode
>
> Example LaTeX file:
>
> ===============
>
> \documentclass{article}
> \usepackage{german}
> \begin{document}
> \section{K"onige}
> K"onige sind selten.
> \end{document}
>
> %%% Local Variables:
> %%% mode: latex
> %%% TeX-master: t
> %%% End:

Hi Peter,

I think this is RefTeX's subtle way to say: "Please also update your TeX
distro to latest TeXlive or MikTeX, change your file to this and use
UTF8 encoding with `C-x RET f prefer-utf-8 RET'":

    \documentclass{article}
    \usepackage[ngerman]{babel}

    \usepackage[T1]{fontenc}
    \usepackage{lmodern}

    \begin{document}

    \tableofcontents

    \section{Könige}
    \label{sec:konige}
    Könige sind selten.

    \end{document}

Yes, this seems to be a bug, thanks for the report.  But I can't tell
why.  Will try to investigate, someday :-)

Best, Arash